[arch-commits] Commit in netfilter-fullconenat/repos (4 files)

Jan Steffens heftig at archlinux.org
Mon Aug 3 20:26:35 UTC 2020


    Date: Monday, August 3, 2020 @ 20:26:34
  Author: heftig
Revision: 668492

archrelease: copy trunk to community-testing-x86_64

Added:
  netfilter-fullconenat/repos/community-testing-x86_64/
  netfilter-fullconenat/repos/community-testing-x86_64/Kbuild
    (from rev 668486, netfilter-fullconenat/trunk/Kbuild)
  netfilter-fullconenat/repos/community-testing-x86_64/PKGBUILD
    (from rev 668487, netfilter-fullconenat/trunk/PKGBUILD)
  netfilter-fullconenat/repos/community-testing-x86_64/netfilter-fullconenat.conf
    (from rev 668487, netfilter-fullconenat/trunk/netfilter-fullconenat.conf)

----------------------------+
 Kbuild                     |    1 +
 PKGBUILD                   |   41 +++++++++++++++++++++++++++++++++++++++++
 netfilter-fullconenat.conf |    1 +
 3 files changed, 43 insertions(+)

Copied: netfilter-fullconenat/repos/community-testing-x86_64/Kbuild (from rev 668486, netfilter-fullconenat/trunk/Kbuild)
===================================================================
--- community-testing-x86_64/Kbuild	                        (rev 0)
+++ community-testing-x86_64/Kbuild	2020-08-03 20:26:34 UTC (rev 668492)
@@ -0,0 +1 @@
+obj-m = xt_FULLCONENAT.o

Copied: netfilter-fullconenat/repos/community-testing-x86_64/PKGBUILD (from rev 668487, netfilter-fullconenat/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2020-08-03 20:26:34 UTC (rev 668492)
@@ -0,0 +1,41 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Edward Pacman <edward at edward-p.xyz>
+
+pkgname=netfilter-fullconenat
+pkgver=r73.0cf3b48
+pkgrel=36
+pkgdesc="A kernel module that turns MASQUERADE into full cone SNAT"
+arch=('x86_64')
+url="https://github.com/Chion82/netfilter-full-cone-nat"
+license=('GPL2')
+depends=("linux")
+makedepends=('linux-headers' 'git')
+source=("netfilter-fullconenat.conf" Kbuild
+        "${pkgname}::git+https://github.com/Chion82/netfilter-full-cone-nat.git")
+sha256sums=('a17dfdf1fd046219daeacc60065e3a81c80c2eb2cfdf6d8068278c509577f571'
+            '7ff12ad066a68c65f23fc7e01654ca459ce3458172e3dce30f42553fa44dd7c2'
+            'SKIP')
+
+pkgver() {
+  cd "$srcdir/${pkgname}"
+  ( set -o pipefail
+    git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+    printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+  )
+}
+
+build() {
+  cd $pkgname
+  ln -s ../Kbuild
+  make -C /usr/src/linux M=$PWD modules
+}
+
+package() {
+  # Install modules-load.conf
+  install -Dm644 netfilter-fullconenat.conf "${pkgdir}/usr/lib/modules-load.d/netfilter-fullconenat.conf"
+
+  install -Dt "${pkgdir}/usr/lib/modules/$(</usr/src/linux/version)/kernel/net/netfilter" -m644 \
+    $pkgname/*.ko
+  find "${pkgdir}" -name '*.ko' -exec strip --strip-debug {} +
+  find "${pkgdir}" -name '*.ko' -exec xz {} +
+}

Copied: netfilter-fullconenat/repos/community-testing-x86_64/netfilter-fullconenat.conf (from rev 668487, netfilter-fullconenat/trunk/netfilter-fullconenat.conf)
===================================================================
--- community-testing-x86_64/netfilter-fullconenat.conf	                        (rev 0)
+++ community-testing-x86_64/netfilter-fullconenat.conf	2020-08-03 20:26:34 UTC (rev 668492)
@@ -0,0 +1 @@
+xt_FULLCONENAT


More information about the arch-commits mailing list